#!/bin/bash

FILE_LIST=$1

PROGRAM=$2


# Check if file_list.txt exists
if [ ! -f $FILE_LIST ]; then
    echo "input file not found!"
    exit 1
fi

INPUT_PATH=/home/richard/Projects/06_research/maximum_planar_subgraph/benchmark_data/graph_datasets/north/gml_non_planar/

# Read file paths from file_list.txt
while IFS= read -r INPUT_FILE; do
    # Extract filename stem
    filename=$(basename -- "$INPUT_FILE")
    filename_stem="${filename%.*}"
    
    
    # Run your program and capture its output
    if [ "$PROGRAM" == "ogdf_mps_fast" ]; then
        # do something if strings are equal
        ./$PROGRAM "$INPUT_PATH$INPUT_FILE"
    elif [ "$PROGRAM" == "dpt_planarizer" ]; then
        # do something if strings are not equal
        ./$PROGRAM "$INPUT_PATH$INPUT_FILE" 1000
    fi


done < $FILE_LIST
